<?xml version="1.0"?>
<xsl:stylesheet 
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	version="1.0"
><xsl:template match="/"><html><head><title>Endangered Species</title></head>
<body bgcolor="white">
	<xsl:apply-templates select="endangered_species/animal"/>
</body>
</html>
</xsl:template>


<xsl:template match="animal">
<p align="center">
	<br/><font size="+3"><xsl:apply-templates select="name" /></font></p>
	
	<table width="100%" border="2">
<tr><th>Subspecies</th><th>Region</th><th>Number Left</th><th>As Of</th></tr>
	<xsl:for-each select="subspecies">
	<xsl:sort select="population" data-type="number"/>
		<xsl:sort select="population/@year" data-type="number"/>
		<tr><td><xsl:apply-templates select="name"/></td>
		<td><xsl:value-of select="region"/></td>
		<td><xsl:apply-templates select="population"/></td>
		<td><xsl:value-of select="population/@year"/></td></tr>
		</xsl:for-each>
		</table>
	<p>The mighty <xsl:value-of select="name[@language='English']"/> faces numerous threats. For more information, check out the World Wildlife Federation's <a href="http://www.worldwildlife.org/species/species.cfm?"> pages</a>. </p><hr/>

</xsl:template>

<xsl:template match="name[@language='English']">
	<nobr><b><xsl:value-of select="."/>: </b></nobr>
	</xsl:template>

<xsl:template match="name[@language='Latin']">
	<nobr><i><xsl:value-of select="."/></i></nobr>
</xsl:template>
<xsl:template match="population">
	<xsl:choose>
		<xsl:when test=". = 0">
			<font color="red" title="that means there are no more left">Extinct</font>
		</xsl:when>
		
		<xsl:otherwise>
			<xsl:value-of select="."/> (<xsl:value-of select="round(. div sum(../../subspecies/population)*100)"/>% of total)
		</xsl:otherwise>
	</xsl:choose>
	</xsl:template>

	
</xsl:stylesheet>
